﻿$ErrorActionPreference = 'Stop';

$version = $env:chocolateyPackageVersion
$packageName = $env:chocolateyPackageName
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://github.com/twpayne/chezmoi/releases/download/v2.18.1/chezmoi_2.18.1_windows_i386.zip'
$url64 = 'https://github.com/twpayne/chezmoi/releases/download/v2.18.1/chezmoi_2.18.1_windows_amd64.zip'

$packageArgs = @{
    packageName    = $packageName
    unzipLocation  = $toolsDir
    fileType       = 'exe'
    url            = $url
    url64bit       = $url64
    checksum       = 'fead2c8a696ff1086e445d6bd9dc4e622ecbfcb7bd9c54a3bc647ed4bdd06f11'
    checksumType   = 'sha256'
    checksum64     = 'ec3d2d3aac5de77d67fea33cc9271fdc9cf2853e762f086340d26da96282e644'
    checksumType64 = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
